package com.ynet.life.base.logon;

import com.ynet.life.exception.TranFailException;

/* loaded from: com_ynet_life_base_logon.jar:com/ynet/life/base/logon/LifeCacheLogonEntry.class */
public class LifeCacheLogonEntry {
    private String userId;
    private String sessionId;
    private String serverAddress;
    private static LifeCacheLogonEntryConfig CONFIG;

    public LifeCacheLogonEntry(String userId, String sessionId, String serverAddress) {
        this.userId = userId;
        this.sessionId = sessionId;
        this.serverAddress = serverAddress;
    }

    public static void initialize(LifeCacheLogonEntryConfig config) {
        CONFIG = config;
    }

    public static LifeCacheLogonEntry getCurrentUserLogonEntry(String sessionId) throws TranFailException {
        String userId = CONFIG.getUserId(sessionId);
        String lastLogonServer = CONFIG.getServerAddress(sessionId);
        if (userId != null && lastLogonServer != null) {
            return new LifeCacheLogonEntry(userId, sessionId, lastLogonServer);
        }
        return null;
    }

    public String getUserId() {
        return this.userId;
    }

    public String getServerAddress() {
        return this.serverAddress;
    }

    public String getSessionId() {
        return this.sessionId;
    }

    public String toString() {
        StringBuffer retValue = new StringBuffer();
        retValue.append("LifeLogonEntry ( ").append(super.toString()).append("    userId = ").append(this.userId).append("    sessionId = ").append(this.sessionId).append("    serverAddress = ").append(this.serverAddress).append("     )");
        return retValue.toString();
    }
}
